2026-09-01 14:20:23 UTC
120 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:8289a871631249c9c1a3b2366de832716cd43c77864c245a1c1364a2abeb5704 - 30.75% (37 MB)
[#001] sha256:9a6ed4878aa6be46f90dc82ff1b3af2b8ca2d5bde7300cebe23e5a08f61fa61c - 2.3% (2.77 MB)
[#002] sha256:0e5945ef979e9a6086c2bb3065c6a9fe26c41bb0fb91693f928520c9e649e001 - 0.01% (9.06 KB)
[#003] sha256:e237e5c9255addcbf772fd89c60108cd5d9fa36313acc40ebd71675067d47b37 - 0.0% (607 Bytes)
[#004] sha256:df615f3b09c872b9baf389f1f446ae689c225e5e96c1b4a569e3af68d9ed07f5 - 0.0% (616 Bytes)
[#005] sha256:00426fdcec1a69d7eb7a767ef34c6256ee8139b955f820032850259481a70348 - 52.15% (62.8 MB)
[#006] sha256:084620274bbf9330197ca6d1bf795ff6cf3a2569183b9758d60766a07c327b76 - 0.0% (123 Bytes)
[#007] sha256:fa2b835471f968d75da91ddeefd069973e25aae3c4ef99ee823177b7ab7e0497 - 0.0% (5.42 KB)
[#008] sha256:707468bf3d3a2c2696bf1bf4923f09fd5d8ea37707318b5fa3cd8ad4a1b42893 - 0.19% (229 KB)
[#009] sha256:d43f21bc80dc16e96d882f6d5e92cb8f2d954c7bd477ca8fb0557614e4595aa0 - 0.0% (507 Bytes)
[#010] sha256:83b2da1f8a53d330ba10a713dee7e5bac9f1f449949b9573d67a03d4a71a9f9f - 0.0% (1.08 KB)
[#011] sha256:fed27a96cfc0dd1df731d7196681b540e36c08ad91425ba9dd77402509ae1d99 - 14.6% (17.6 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.8" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2026-08-31 08:55:27 UTC/bin/sh -c #(nop) ENV container oci
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) COPY dir:f2269a49305dc61b5c62efda70ce8327957d5aafa0915c5b324ac4402d0afd7e in /
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) COPY dir:314f6db1cd15d342fa9962b7dae89ed14fe0c81c812223914e17998e1aac0abe in /usr/share/buildinfo/
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) COPY dir:314f6db1cd15d342fa9962b7dae89ed14fe0c81c812223914e17998e1aac0abe in /root/buildinfo/
2026-08-31 08:55:28 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-31T08:55:06Z" "org.opencontainers.image.revision"="3c32d7c63d617fc21bc66bb65a893d8db99096da" "build-date"="2026-08-31T08:55:06Z" "architecture"="aarch64" "vcs-ref"="3c32d7c63d617fc21bc66bb65a893d8db99096da" "vcs-type"="git" "release"="1788166357"org.opencontainers.image.created=2026-08-31T08:55:06Z,org.opencontainers.image.revision=3c32d7c63d617fc21bc66bb65a893d8db99096da
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-09-01T14:06:55Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.5.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=05460763bc6067b3a4708bc80219092eba134988 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-09-01T14:06:55Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.5.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-09-01 14:20:05 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-09-01 14:20:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-09-01 14:20:16 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-09-01 14:20:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-09-01 14:20:17 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-09-01 14:20:17 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-09-01 14:20:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-09-01 14:20:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)USER 1000
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-09-01 14:20:23 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.